version: '2'
services:
  phpfpm:
    restart: always
    image: {{image_name}}
    environment:
      DB_NAME: {{wp_db_name}}
      DB_USER: {{wp_db_user}}
      DB_PASSWORD: {{wp_db_pass}}
      DB_HOST: {{wp_db_host}}
      DB_PORT: {{wp_db_port}}
      WP_ENV: production
      WP_HOME: http://{{nginx__servername}}
      WP_SITEURL: http://{{nginx__servername}}/wp
      ADMIN_USER: {{wp_admin_user}}
      ADMIN_PASS: {{wp_admin_pass}}
      ADMIN_EMAIL: wordpress@wordpress.com
      SITE_TITLE: wordpress
    volumes:
      - wordpress-site:/var/www/bedrock
      - {{ nfs_name }}:/var/www/bedrock/web/app/uploads
  nginx:
    depends_on:
      - phpfpm
    ports:
      - "80:80"
    image: nginx:latest
    volumes_from:
      - phpfpm
    volumes:
      - "./nginx.conf:/etc/nginx/conf.d/default.conf"
    restart: always
volumes:
  wordpress-site:
    driver: local